AsyncEndPoint (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.io

## Interface AsyncEndPoint

- All Superinterfaces:
    ConnectedEndPoint, EndPoint
  All Known Implementing Classes:
    NetworkTrafficSelectChannelEndPoint, SelectChannelEndPoint, SslConnection.SslEndPoint

      public interface AsyncEndPoint
      extends ConnectedEndPoint

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `asyncDispatch()` Dispatch the endpoint.
    `void` | `cancelTimeout(Timeout.Task task)`
    `void` | `dispatch()` Dispatch the endpoint if it is not already dispatched
    `boolean` | `hasProgressed()`
    `boolean` | `isCheckForIdle()` Get if the endpoint should be checked for idleness
    `boolean` | `isWritable()`
    `void` | `onIdleExpired(long idleForMs)` Callback when idle.
    `void` | `scheduleTimeout(Timeout.Task task, long timeoutMs)`
    `void` | `scheduleWrite()` Schedule a write dispatch.
    `void` | `setCheckForIdle(boolean check)` Set if the endpoint should be checked for idleness

    - ### Methods inherited from interface org.eclipse.jetty.io.ConnectedEndPoint

      `getConnection, setConnection`

    - ### Methods inherited from interface org.eclipse.jetty.io.EndPoint

      `blockReadable, blockWritable, close, fill, flush, flush, flush, getLocalAddr, getLocalHost, getLocalPort, getMaxIdleTime, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isBlocking, isInputShutdown, isOpen, isOutputShutdown, setMaxIdleTime, shutdownInput, shutdownOutput`

- - ### Method Detail

    - #### dispatch

          void dispatch()

      Dispatch the endpoint if it is not already dispatched

    - #### asyncDispatch

          void asyncDispatch()

      Dispatch the endpoint. If it is already dispatched, schedule a redispatch

    - #### scheduleWrite

          void scheduleWrite()

      Schedule a write dispatch. Set the endpoint to not be writable and schedule a dispatch when it becomes writable.

    - #### onIdleExpired

          void onIdleExpired(long idleForMs)

      Callback when idle.

      An endpoint is idle if there has been no IO activity for `EndPoint.getMaxIdleTime()` and `isCheckForIdle()` is true.

      Parameters:
        `idleForMs` - TODO

    - #### setCheckForIdle

          void setCheckForIdle(boolean check)

      Set if the endpoint should be checked for idleness

    - #### isCheckForIdle

          boolean isCheckForIdle()

      Get if the endpoint should be checked for idleness

    - #### isWritable

          boolean isWritable()

    - #### hasProgressed

          boolean hasProgressed()

      Returns:
        True if IO has been successfully performed since the last call to `hasProgressed()`

    - #### scheduleTimeout

          void scheduleTimeout(Timeout.Task task,
                             long timeoutMs)

    - #### cancelTimeout

          void cancelTimeout(Timeout.Task task)

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.